import { AttributeValue, MapAttributeValue } from 'aws-sdk/clients/dynamodb';
import { PropertyMetadata } from '../../decorator/metadata/property-metadata.model';
import { MapperForType } from './base.mapper';
export declare class ObjectMapper<T> implements MapperForType<any> {
    constructor();
    fromDb(val: AttributeValue, propertyMetadata?: PropertyMetadata<any>): any;
    toDb(modelValue: any, propertyMetadata?: PropertyMetadata<any>): MapAttributeValue;
}
